### Constructor

# Phosh SystemModal new

#### Declaration [src]

    GtkWidget*
    phosh_system_modal_new (
      PhoshMonitor* monitor
    )

#### Description [src]

Create a new system-modal surface.

#### Parameters

`monitor`

  Type: `PhoshMonitor`

  The `PhoshMonitor` to put the modal surface on. If `NULL` the primary monitor is used.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

No description available.

The data is owned by the called function.